Coinbase Global Inc

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/coinbase-global-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/coinbase-global-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1761782400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://s27.q4cdn.com/397450999/files/doc_financials/2025/q3/a869e9e6-7bef-461f-ae28-5a688f86bcb8.pdf",
    "holding_balance": 14548.0,
    "holding_net_change": 2772.0,
    "transaction_value_usd": 300229859.16,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1767139200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://d18rn0p25nwr6d.cloudfront.net/CIK-0001679788/bfd1f1fb-c113-49c9-acec-07af6b8acb64.pdf",
    "holding_balance": 15389.0,
    "holding_net_change": 841.0,
    "transaction_value_usd": 73580166.48,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1774915200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.sec.gov/ix?doc=/Archives/edgar/data/0001679788/000167978826000054/coin-20260331.htm#fact-identifier-628",
    "holding_balance": 16492.0,
    "holding_net_change": 1103.0,
    "transaction_value_usd": 77569999.0,
    "average_entry_value_usd": 70326.38,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/coinbase-global-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782950400000,
    16492.0
  ],
  [
    1783036800000,
    16492.0
  ],
  [
    1783123200000,
    16492.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/coinbase-global-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782950400000,
    1014057292.36
  ],
  [
    1783036800000,
    1031178627.08
  ],
  [
    1783123200000,
    1040419919.28
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/coinbase-global-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 142.3,
    "date": "2026-06-30",
    "high": 148.86,
    "open": 148.18,
    "close": 146.19,
    "volume": 8754500
  },
  {
    "low": 146.3,
    "date": "2026-07-01",
    "high": 164.54,
    "open": 147.13,
    "close": 159.24,
    "volume": 11992300
  },
  {
    "low": 163.22,
    "date": "2026-07-02",
    "high": 173.09,
    "open": 165.19,
    "close": 165.48,
    "volume": 9693800
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/coinbase-global-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0.4758,
  "quarterly_earnings_growth": 4.306,
  "eps_estimate_current_quarter": 0.0444
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/coinbase-global-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -4.89,
  "six_month_return": -28.55,
  "three_month_return": -4.34
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/coinbase-global-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 2.4,
  "total_btc_percentage": 0.079,
  "share_price_change_state": "up"
}